com.singularsys.jep.functions

## Class IllegalParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.singularsys.jep.JepException
      - - com.singularsys.jep.EvaluationException
        - - com.singularsys.jep.functions.IllegalParameterException

- All Implemented Interfaces:
    java.io.Serializable

      public class IllegalParameterException
      extends EvaluationException

  Represents an illegal parameter
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalParameterException(PostfixMathCommandI pfmc, int pos, java.lang.Class<?> expectedClass, java.lang.Object actualObject)` Exception where the target type is known.
    `IllegalParameterException(PostfixMathCommandI pfmc, int pos, java.lang.String expectedMsg, java.lang.Object actualObject)` Exception where a specific message is given for the expected type
    `IllegalParameterException(PostfixMathCommand pfmc, int pos, java.lang.Object value)` An exception where the expected type is not known.
    `IllegalParameterException(PostfixMathCommand pfmc, java.lang.Object arg1, java.lang.Object arg2)` An exception where two arguments are incompatible.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getActualClass()`
    `java.lang.Object` | `getActualObject()`
    `int` | `getArgumentNumber()`
    `java.lang.Class<?>` | `getExpectedClass()`
    `java.lang.String` | `getFunctionName()`
    `java.lang.String` | `getMessage()`
    `PostfixMathCommandI` | `getPfmc()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalParameterException

          public IllegalParameterException(PostfixMathCommandI pfmc,
                                           int pos,
                                           java.lang.Class<?> expectedClass,
                                           java.lang.Object actualObject)

      Exception where the target type is known.
      Parameters:
        `pfmc` - the object generating the exception
        `pos` - position in the argument list, 0 is the first argument
        `expectedClass` - the expected class of the argument
        `actualObject` - the actual value of the argument

    - #### IllegalParameterException

          public IllegalParameterException(PostfixMathCommandI pfmc,
                                           int pos,
                                           java.lang.String expectedMsg,
                                           java.lang.Object actualObject)

      Exception where a specific message is given for the expected type
      Parameters:
        `pfmc` - the object generating the exception
        `pos` - position in the argument list, 0 is the first argument
        `expectedMsg` - message to display about expected object type
        `actualObject` - the actual value of the argument
      Since:
        3.5

    - #### IllegalParameterException

          public IllegalParameterException(PostfixMathCommand pfmc,
                                           int pos,
                                           java.lang.Object value)

      An exception where the expected type is not known.
      Parameters:
        `pfmc` - the object generating the exception
        `pos` - position in the argument list, 0 is the first argument
        `value` - the actual value of the argument

    - #### IllegalParameterException

          public IllegalParameterException(PostfixMathCommand pfmc,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2)

      An exception where two arguments are incompatible.
      Parameters:
        `pfmc` - the object generating the exception
        `arg1` - first argument
        `arg2` - second argument

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getFunctionName

          public java.lang.String getFunctionName()

    - #### getArgumentNumber

          public int getArgumentNumber()

    - #### getExpectedClass

          public java.lang.Class<?> getExpectedClass()

    - #### getActualObject

          public java.lang.Object getActualObject()

    - #### getActualClass

          public java.lang.Class<?> getActualClass()

    - #### getPfmc

          public PostfixMathCommandI getPfmc()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep